For the complete documentation index, see llms.txt. This page is also available as Markdown.

Teams

List Organization Teams Endpoint

get

Endpoint to list teams of an organization.

Args: organization_id: Organization ID. name: Name of the team to filter by. offset: Offset for pagination. limit: Limit for pagination. user: Authenticated user. rbac: RBAC component. db: Async db session.

Returns: List of all teams matching the given filters.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
organization_idstring · uuidRequired
Query parameters
namestring · nullableOptional
offsetintegerOptionalDefault: 0
limitinteger · max: 100OptionalDefault: 100
Responses
200

Successful Response

application/json

Model for viewing teams.

namestring · min: 1 · max: 50Required
descriptionstring · min: 1 · max: 256 · nullableOptional
idstring · uuidRequired
createdstring · date-timeRequired
updatedstring · date-timeRequired
member_countintegerRequired
get/organizations/{organization_id}/teams
GET /organizations/{organization_id}/teams HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "name": "text",
    "description": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "member_count": 1
  }
]
ZenML Scarf

Last updated

Was this helpful?